package cn.hmsoft.weixin.request;

import cn.hmsoft.weixin.entity.request.ClearQuotaRequestJson;
import cn.hmsoft.weixin.entity.response.WxResponseJson;

/********************************
 * 
 * @note 清除配额 
 * @author revisit@126.com
 * @Company: www.hmsoft.cn
 * @create 2017-05-09 00:16:32
 * @version 4.0.0
 */
public class ClearQuotaRequest extends AbstractRequest<WxResponseJson, WxResponseJson, ClearQuotaRequestJson> {

	private final static String url = "https://api.weixin.qq.com/cgi-bin/clear_quota?";

	public ClearQuotaRequest() {
		this.requestEntity = new ClearQuotaRequestJson();
		this.requestEntity.setAppid(this.wxDefine.getApp_id());
	}

	@Override
	protected String makeUrl() {
		this.method = "POST";
		return url + "access_token=" + this.wxDefine.getApp_accesstoken();
	}


}
